# Warehouse Bins

Warehouse Bins

 - [GET /warehouseBins/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouse-bins/listwarehousebins.md): This method will scan all warehouse bins and and return them to the caller.
 - [POST /warehouseBins/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouse-bins/createwarehousebin.md): This method will auto-generate an ID and create a new warehouse bin. If an ID is specified for the warehouse bin, an error will be thrown.
 - [POST /warehouseBins/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouse-bins/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /warehouseBins/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouse-bins/deletewarehousebin.md): This method will delete a warehouse bin with the specified ID.
 - [GET /warehouseBins/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouse-bins/getwarehousebin.md): This method will look up a warehouse bin by the specified ID and return it back.
 - [PATCH /warehouseBins/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouse-bins/patchwarehousebin.md): This method will patch an existing warehouse bin with the specified ID, using the HTTP PATCH specification.
 - [PUT /warehouseBins/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouse-bins/updatewarehousebin.md): This method will update an existing warehouse bin with the specified ID.
